critical problems editing features on 0SGeo4W Qgis
2009-07-23 10:12 AM - Giovanni Allegri

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 11864
Description

It happens both on Stable and Unstable QGis on OSGeo4W distribution.
The editing tools don't handle correctly mouse events/positions. In particular it seems that the editings after the first one feature don't grep
the click coordinates but the last one of the first feature.

- If one tries to create a new point layer every added feature geometry collapse on the same position of the first one added.

- With lines after the first line is addes the followings get snapped to the last vertex of the preceeding line.

- etc.

Obviously this doesn't happen on my Linux Qgis version...

History

#1 - 2009-07-24 02:37 AM - Giovanni Allegri
- Resolution set to fixed
- Status changed from Open to Closed

Ouch! Tha'ts awful! It's due to the snapping options!
If I simply open and close the snapping tab inside the Project Properties the specific layer snapping options are set, otherwise the deafult global options are
used.
In my experience the expected behaviour is different:
- by default the global snapping options should be 0 (no snap)
- if  want gloabl snap | can set it's value in the the Digitizing tab under Options
- if  want to set per layer options it should require to flag the specific layer inside the Snapping Options window from Project Properties, and set

the snapping value.

Otherwise, before digitizing in lat-lon, | have to do the extra step to change the dafult value (100) or open-close the Snapping Options window. The latter is
a very strange, unexpected, behaviour!

giovanni

#2 - 2009-07-24 02:37 AM - Giovanni Allegri
- Resolution deleted (fixed)

- Status changed from Closed to Feedback
#3 - 2009-07-24 02:37 AM - Giovanni Allegri

- Resolution set to invalid
- Status changed from Feedback to Closed
